Cantera 2.6.0

Public Member Functions | List of all members
Composite1 Class Reference

Composite function. More...

`#include <Func1.h>`

Inheritance diagram for Composite1:
[legend]
Collaboration diagram for Composite1:
[legend]

## Public Member Functions
| Composite1 (Func1 &f1, Func1 &f2)
| Composite1 (const Composite1 &b)
Composite1 & | operator= (const Composite1 &right)
virtual int | ID () const
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
virtual std::string | write (const std::string &arg) const
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Public Member Functions inherited from Func1
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual int | ID () const
doublereal | operator() (doublereal t) const
| Calls method eval to evaluate the function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same. More...
virtual doublereal | isProportional (TimesConstant1 &other)
virtual doublereal | isProportional (Func1 &other)
virtual std::string | write (const std::string &arg) const
doublereal | c () const
| accessor function for the stored constant More...
void | setC (doublereal c)
| Function to set the stored constant. More...
Func1 & | func1 () const
| accessor function for m_f1 More...
Func1 & | func2 () const
| accessor function for m_f2 More...
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Additional Inherited Members
Protected Attributes inherited from Func1
doublereal | m_c
Func1 * | m_f1
Func1 * | m_f2
Func1 * | m_parent

## Detailed Description

Composite function.

Definition at line 746 of file Func1.h.

## Constructor & Destructor Documentation

## ◆ Composite1() [1/2]

Composite1 | ( | Func1 & | f1,
|  | Func1 & | f2
| ) |  |
| inline

Definition at line 749 of file Func1.h.

## ◆ ~Composite1()

virtual ~Composite1 | ( |  | ) |
| inline virtual

Definition at line 757 of file Func1.h.

## ◆ Composite1() [2/2]

Composite1 | ( | const Composite1 & | b | ) |
| inline

Definition at line 762 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

Composite1 & operator= | ( | const Composite1 & | right | ) |
| inline

Definition at line 767 of file Func1.h.

## ◆ ID()

virtual int ID | ( |  | ) | const
| inline virtual

Reimplemented from Func1.

Definition at line 780 of file Func1.h.

## ◆ eval()

virtual doublereal eval | ( | doublereal | t | ) | const
| inline virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 784 of file Func1.h.

References Func1::eval().

## ◆ duplicate()

virtual Func1 & duplicate | ( |  | ) | const
| inline virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Reimplemented from Func1.

Definition at line 788 of file Func1.h.

References Func1::duplicate().

## ◆ derivative()

virtual Func1 & derivative | ( |  | ) | const
| inline virtual

Creates a derivative to the current function.

This will create a new derivative function and return a reference to the function.

Reimplemented from Func1.

Definition at line 794 of file Func1.h.

References Func1::derivative(), and Func1::duplicate().

## ◆ write()

string write | ( | const std::string & | arg | ) | const
| virtual

Reimplemented from Func1.

Definition at line 364 of file Func1.cpp.

## ◆ order()

virtual int order | ( |  | ) | const
| inline virtual

Return the order of the function, if it makes sense.

Reimplemented from Func1.

Definition at line 805 of file Func1.h.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp